<div class="row">
  <div class="col-md-12">
    <nb-card class="inline-form-card">
      <nb-card-header>Send Notification</nb-card-header>
      <nb-card-body>
        <form class="form-inline">
          <input type="text" nbInput fullWidth shape="semi-round" placeholder="Send message" [(ngModel)]="message"
            [ngModelOptions]="{standalone: true}">
          <!-- <textarea class="sendmessage" placeholder="&nbsp;Send message"></textarea> -->
          <div class="text-right mr-6 pr-6 pt-3 pb-3">
            <button shape="semi-round" (click)="push()" class="mr-6 btn btn-outline-warning">
              Send
            </button>
          </div>
        </form>
      </nb-card-body>
    </nb-card>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
    <nb-card class="inline-form-card">
      <nb-card-body>
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Message Sent</th>
              <th>Status</th>
              <th>Message Date</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
            <tr  *ngFor="let item of notification | paginate: { itemsPerPage: 5, currentPage: p }">
              <td>{{item.message}}</td>
              <td>{{item.status}}</td>
              <td>{{item.created_at | date:'fullDate'}} {{item.created_at | date:'h:mm:ss a'}}</td>
              <td>
                <button class="i-e" (click)="edit(item)" nbTooltip="Edit Notification" nbButton ghost size="large">
                  <nb-icon icon="edit"></nb-icon>
                </button>
              </td>
            </tr>
          </tbody>
        </table>
        <hr>
      </nb-card-body>
       <!-- pager -->
       <!-- <div class="text-right mr-4 pr-6 pt-3 pb-3">
        <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
          <li [ngClass]="{disabled:pager.currentPage === 1}">
            <a (click)="setPage(1)">First</a>
          </li>
          <li [ngClass]="{disabled:pager.currentPage === 1}">
            <a (click)="setPage(pager.currentPage - 1)">Previous</a>
          </li>
          <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
            <a (click)="setPage(page)">{{page}}</a>
          </li>
          <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
            <a (click)="setPage(pager.currentPage + 1)">Next</a>
          </li>
          <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
            <a (click)="setPage(pager.totalPages)">Last</a>
          </li>
        </ul>
        </div> -->
        <div class="text-right mr-4 pr-6 pt-3 pb-3">        
          <pagination-controls class="pagination" (pageChange)="p = $event"></pagination-controls>
          </div>
    </nb-card>
  </div>
</div>